#ifndef _ROUTINES_H
#define _ROUTINES_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define MAX_PASSWORDSZ 1024
#define CERTKEYBUFSZ   1024 * 10

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool WriteCert(HWND hWnd, const char *sTarName, const char *sUserKey,
			   int iCertAttribs, int iCryptAlgo, int iCertKeySz,
			   const char *sFirstName, const char *sMiddleName, const char *sLastName,
			   const char *sAddress1, const char *sAddress2,
			   const char *sCity, const char *sState, const char *sZipCode, const char *sCountry,
			   const char *sHomePhone, const char *sWorkPhone, const char *sCellPhone, const char *sFaxNumber,
			   const char *sEmailAddress, const char *sComments);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool ReadCert(HWND hWnd, const char *sTarName, const char *sUserKey,
			   int *iCertAttribs, int *iCryptAlgo, int *iCertKeySz,
			   char *sFirstName, char *sMiddleName, char *sLastName,
			   char *sAddress1, char *sAddress2,
			   char *sCity, char *sState, char *sZipCode, char *sCountry,
			   char *sHomePhone, char *sWorkPhone, char *sCellPhone, char *sFaxNumber,
			   char *sEmailAddress, char *sComments);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

